Bug 123342 - the VIP doesnt come up, where the first service deactivated
the VIP doesnt come up, where the first service deactivated
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: piranha (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Mike McLean
:
Depends On:
Blocks: 131576
  Show dependency treegraph
 
Reported: 2004-05-17 07:50 EDT by Lior Tuval
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 17:13:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch fixes problem (822 bytes, patch)
2004-09-01 14:58 EDT, Lon Hohberger
no flags Details | Diff
Example lvs.cf which won't cause bug #112016 to appear during testing (775 bytes, text/plain)
2004-09-13 14:58 EDT, Lon Hohberger
no flags Details

  None (edit)
Description Lior Tuval 2004-05-17 07:50:56 EDT
Description of problem:
Using two virtual servers, for the same VIP, configured in the lvs.cf
file, and when the first virtual server is marked "active = 0"
then pulse process will not brin the VIP up.

Version-Release number of selected component (if applicable):
piranha-0.7.0-5
IP Virtual Server version 0.8.1

Steps to Reproduce:
1. Create two virtual servers using piranha-gui or lvs.cf file.
2. Mark the first virtual server as "active = 0"
3.Run pulse and check if the floating IP (VIP) comes up
  
Actual results:
The firtual IP does not come up, therefore the NLB doen not work

Expected results:
Pulse should bring up the VIP so any request from this IP will be 
sent to the real servers

Additional info:

Using piranha for NLB, in DR mode.
Comment 1 Lon Hohberger 2004-09-01 14:58:53 EDT
Created attachment 103359 [details]
Patch fixes problem

The logic searched previous virtual interfaces for matches so we didn't attempt
to configure them twice, but failed to take in to account whether or not the
previous virtual service (with the same interface) was active or not.

This patch was taken against 0.7.6, and should apply to 0.7.0.	Please let me
know if this fixes your problem.
Comment 5 Lon Hohberger 2004-09-13 14:58:25 EDT
Created attachment 103799 [details]
Example lvs.cf which won't cause bug #112016 to appear during testing
Comment 6 Derek Anderson 2004-11-12 17:13:56 EST
Verified in piranha-0.7.10-2.
Comment 7 John Flanagan 2004-12-13 16:23:54 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-469.html
Comment 8 John Flanagan 2004-12-20 20:26:14 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-470.html

Note You need to log in before you can comment on or make changes to this bug.